1 Reply Latest reply: Feb 8, 2013 7:40 AM by rgouw RSS

    Jdeveloper version corresponding to web center version

    user5636757
      hi,

      i checked web center version on my server is: 11.1.1.4.0
      [using select version from wc_repository_version query after logging into webcenter schema]

      just wanted to confirm which jdev version will be suitable to build applications for this webcenter version?

      when i check here - http://www.oracle.com/ocom/groups/public/@otn/documents/webcontent/156082.xml

      for WebCenter Framework and Services Design Time extension:

      11.1.1.4.0.120306.2202     oracle.studio (min=11.1.1.5.37.60.13, max=11.1.1.5.99)
      oracle.j2ee (min=11.1.1.5.37.60.13, max=11.1.1.5.99)

      for 11.1.1.4 webcenter, latest extension available is for jdev 11.1.1.5.

      similarly for WebCenter Customization Framework Design Time extension:

      11.1.1.4.0.120306.2202     oracle.studio (min=11.1.1.5.37.60.13, max=11.1.1.5.99)
      oracle.j2ee (min=11.1.1.5.37.60.13, max=11.1.1.5.99)
      oracle.webcenter.app (min=11.1.1.4.0.120306.2202, max=11.1.1.4.0.120306.2202)

      for 11.1.1.4 webcenter, latest extension available is for jdev 11.1.1.5.

      my questions are:

      1. does this means jdev 11.1.1.5 is suitable for me?? is this the right way of confirming jdev version?
      2. does jdev version matter? i think it does. as i have jdev 11.1.1.6 and application created on this jdev was giving deployment issues on my webcenter server deployment issue of webcenter portal application i had to comment few libraries manually to get it working...
      3. shall we upgrade webcenter version to 11.1.1.6? will there be licensing issues? and more importantly, what advantages are with 11.1.1.6 version?

      thanks for help.

      cheers.
        • 1. Re: Jdeveloper version corresponding to web center version
          rgouw
          You should always be in line with the version numbers.
          When you use WebCenter 11.1.1.4, you should use JDev 11.1.1.4,
          When you use WebCenter 11.1.1.6, you should use JDev 11.1.1.6 etc.

          The version number of WebCenter might be misleading at times.
          Could you check the version number with the About page (if using spaces)
          The enterprise manager (...:7001/em) might report 11.1.1.4.0 when in fact the WebCenter version is 11.1.1.6

          New features of WebCenter Spaces are described here
          Lot of these features apply for your custom application as well.

          It's always advisable to upgrade to the latest release as more bugs will be fixed.

          Kind regards,

          Rob